Name:           sugar-backgrounds
Version:        0.102
Release:        1
Summary:        Sugar desktop backgrounds

Group:          Applications/Multimedia
License:        CC-BY-SA
URL:            http://wiki.sugarlabs.org/go/Background_Contest/Results
Source0:        sugar-backgrounds-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch

%description
This package contains desktop backgrounds for the Sugar Desktop Enviroment.

%prep
%setup -q -n sugar-backgrounds-%{version}


%build

%install
rm -rf $RPM_BUILD_ROOT
# copy image files
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/backgrounds/sugar
cp -a $RPM_BUILD_DIR/sugar-backgrounds-%{version}/*.png \
        $RPM_BUILD_ROOT/%{_datadir}/backgrounds/sugar
# copy metadata xml file
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/gnome-background-properties
cp -a $RPM_BUILD_DIR/sugar-backgrounds-%{version}/desktop-backgrounds-sugar.xml \
        $RPM_BUILD_ROOT/%{_datadir}/gnome-background-properties



%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc CREDITS.txt
%dir %{_datadir}/backgrounds/sugar
%{_datadir}/backgrounds/sugar/*.png
%dir %{_datadir}/gnome-background-properties
%{_datadir}/gnome-background-properties/desktop-backgrounds-sugar.xml


%changelog
* Mon Oct 06 2014 German Ruiz <germanrs@fedoraproject.org> - 0.0.1-1
- Initial RPM package
